<?php

/**
 * @file
 * Administration pages for cloudwords.module.
 */

/**
 * Main configuration form.
 */
function cloudwords_settings_form($form, &$form_state) {

  $form['cloudwords_client_mode'] = array(
    '#type' => 'radios',
    '#title' => t('Environment'),
    '#description' => t('Configure whether to use the staging or production environment.'),
    '#required' => TRUE,
    '#default_value' => variable_get('cloudwords_client_mode', 'production'),
    '#options' => array('production' => t('Production'), 'stage' => t('Stage')),
  );

  $description = t('The API authorization token generated by Cloudwords.');
  $description .= ' ' . t('Follow the instructions to <a target="_blank" href="https://app.cloudwords.com/cust.htm#settings/myaccount/api">generate an API key</a> for your user.');

  $form['cloudwords_auth_token'] = array(
    '#type' => 'textfield',
    '#title' => t('API Authorization Token'),
    '#description' => $description,
    '#required' => TRUE,
    '#size' => 70,
    '#default_value' => variable_get('cloudwords_auth_token'),
  );

  $form = system_settings_form($form);

  $form['actions']['refresh'] = array(
    '#type' => 'submit',
    '#value' => t('Refresh translatables'),
    '#submit' => array('cloudwords_refresh_translatables'),
  );

  return $form;
}
